"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SsrContext = exports.ssrAdapter = void 0;
const vue_1 = require("vue");
const ssrContextKey = Symbol('@css-render/vue3-ssr');
function createStyleString(id, style) {
    return `<style cssr-id="${id}">\n${style}\n</style>`;
}
function ssrAdapter(id, style) {
    const styleVNodeProps = vue_1.inject(ssrContextKey, null);
    if (styleVNodeProps !== null) {
        styleVNodeProps.innerHTML += createStyleString(id, style);
    }
}
exports.ssrAdapter = ssrAdapter;
exports.SsrContext = vue_1.defineComponent({
    name: 'CssRenderVue3SsrContext',
    setup(_, { slots }) {
        const styleVNodeProps = {
            class: 'cssr-ssr-container',
            innerHTML: ''
        };
        vue_1.provide(ssrContextKey, styleVNodeProps);
        return () => vue_1.h(vue_1.Fragment, null, [
            vue_1.renderSlot(slots, 'default'),
            vue_1.h('div', styleVNodeProps)
        ]);
    }
});
